---
const { icon, title, description, exploreLink, exploreLabel } = Astro.props;
---

<div class="spot_item">
  <div class="content">
    <div class="spot_icon">{icon}</div>
    <h4>{title}</h4>
    <p>{description}</p>
  </div>
  <div class="link">
    <a href={exploreLink}>{exploreLabel}</a>
  </div>
</div>

<style>
  .spot_item {
    width: 250px;
    height: 250px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: space-between;
  }

  .spot_icon {
    font-size: 3rem;
  }

  .link a {
    text-decoration: none;
    color: rgb(230, 230, 230);
  }

  .link a:hover {
    text-decoration: none;
    color: rgb(255, 255, 255);
  }
</style>
